com.atid.lib.module.barcode.spc.type

## Enum CodePages

- java.lang.Object
- - java.lang.Enum<CodePages>
  - - com.atid.lib.module.barcode.spc.type.CodePages

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<CodePages>

      public enum CodePages
      extends java.lang.Enum<CodePages>
      implements IEnumType

  ISO 2022/ISO 646 Character Replacements Code pages define the mapping of character codes to characters. If the data received does not display with the proper characters, it may be because the bar code being scanned was created using a code page that is different from the one the host program is expecting. If this is the case, select the code page with which the bar codes were created. The data characters should then appear properly. Default “Automatic National Character replacement” will select the below Scanner Code Page options for Code128, Code 39 and Code 93. ISOIEC646_121_Canada : 95 ISOIEC646_122_Canada : 96 ISOIEC646_14_Japan : 98 ISOIEC646_57_China : 99 ISOIEC646_04_UK : 87 ISOIEC646_69_France : 83 ISOIEC646_21_Germany : 84 ISOIEC646_CH_Switzerland : 86 ISOIEC646_11_Sweden_Finland : 82 ISOIEC646_207_Ireland : 97 ISOIEC646_08_Denmark : 88 ISOIEC646_60_Norway : 94 ISOIEC646_15_Italy : 85 ISOIEC646_16_Portugal : 92 ISOIEC646_17_Spain : 90 ISOIEC646_85_Spain : 91

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BinaryCodepage`
    `ISOIEC_2022`
    `ISOIEC_646`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static CodePages` | `valueOf(int code)`
    `static CodePages` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CodePages[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ISOIEC_646

          public static final CodePages ISOIEC_646

    - #### ISOIEC_2022

          public static final CodePages ISOIEC_2022

    - #### BinaryCodepage

          public static final CodePages BinaryCodepage

  - ### Method Detail

    - #### values

          public static CodePages[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CodePages c : CodePages.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CodePages valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<CodePages>`

    - #### valueOf

          public static CodePages valueOf(int code)